Last Comment Bug 759354 - Add other device sensors to nsEventListenerManager::IsDeviceType
: Add other device sensors to nsEventListenerManager::IsDeviceType
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla16
Assigned To: Doug Turner (:dougt)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 08:53 PDT by Doug Turner (:dougt)
Modified: 2012-06-06 16:23 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v.1 (786 bytes, patch)
2012-05-29 08:55 PDT, Doug Turner (:dougt)
bugs: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Doug Turner (:dougt) 2012-05-29 08:53:28 PDT
http://mxr.mozilla.org/mozilla-central/source/content/events/src/nsEventListenerManager.cpp#299

If we do not, then these sensors will not turn off when the event listener is removed.
Comment 1 Doug Turner (:dougt) 2012-05-29 08:55:04 PDT
Created attachment 627979 [details] [diff] [review]
patch v.1
Comment 3 Geoff Lankow (:darktrojan) 2012-06-05 06:09:43 PDT
https://hg.mozilla.org/mozilla-central/rev/afa7b85781dc
Comment 4 Doug Turner (:dougt) 2012-06-05 14:07:49 PDT
Comment on attachment 627979 [details] [diff] [review]
patch v.1

we need this or devices may not be shutdown after use.
Comment 5 Alex Keybl [:akeybl] 2012-06-06 16:23:33 PDT
Comment on attachment 627979 [details] [diff] [review]
patch v.1

Approved for the same reason as https://bugzilla.mozilla.org/show_bug.cgi?id=742376#c23

Note You need to log in before you can comment on or make changes to this bug.